## gegl commandline

In addition to installing a library, GEGL also installs gegl - a binary/program that permits doing image processing from the commandline as well as an aid during development of GEGL operations.

Some examples:

Render a composition to a PNG file, the composition can be in GEGLs XML format or the one-liner friendly terser gegl-chain format.

    $ gegl composition -o composition.png

### gegl usage

The following is the usage information of the gegl binary, this documentation might not be complete.

    usage: /home/pippin/src/gegl/bin/.libs/gegl [options] <file | -- [op [op] ..]>

      Options:
         -h, --help      this help information

         --list-all      list all known operations

         --exists        return 0 if the operation(s) exist

         --info          output information about the operation:
                         name, description, properties details.

         -i, --file      read xml from named file

         -x, --xml       use xml provided in next argument

         --dot           output a graphviz graph description

         -o, --output    output generated image to named file, type based
                         on extension.

         -p              increment frame counters of various elements when
                         processing is done.

         -s scale, --scale scale  scale output dimensions by this factor.

         -X              output the XML that was read in

         -v, --verbose   print diagnostics while running

    All parameters following -- are considered ops to be chained together
    into a small composition instead of using an xml file, this allows for
    easy testing of filters. After chaining a new op in properties can be set
    with property=value pairs as subsequent arguments.